program common_mixte
  implicit none
  integer, parameter    :: n=32
  complex, dimension(n) :: c
  real,    dimension(n) :: x, y
  character(len=n)      :: chaine
  COMMON/MIXTE/c, chaine

  chaine = "1234 + 8765 = 9999 = 5678 + 4321"
  call random_number(x)
  call random_number(y)
  c = CMPLX(x,y)
  call sub
end program common_mixte

subroutine sub
  implicit none
  integer, parameter      :: n=32
  real, dimension(2*n)    :: tab_reels
  character, dimension(n) :: tab_car
  common/MIXTE/tab_reels, tab_car

  print *, tab_reels(1:20:2)
  print *, tab_car(1), tab_car(10)
end subroutine sub
